package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ScoreUser;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public interface IScoreUserService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param userId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public ScoreUser selectScoreUserByUserId(String userId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param scoreUser 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<ScoreUser> selectScoreUserList(ScoreUser scoreUser);

    /**
     * 新增【请填写功能名称】
     *
     * @param scoreUser 【请填写功能名称】
     * @return 结果
     */
    public ScoreUser insertScoreUser(ScoreUser scoreUser);
    /**
     * 修改【请填写功能名称】
     *
     * @param scoreUser 【请填写功能名称】
     * @return 结果
     */
    public int updateScoreUser(ScoreUser scoreUser);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param userIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteScoreUserByUserIds(Long[] userIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param userId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteScoreUserByUserId(Long userId);

    ScoreUser login(ScoreUser scoreUser);
}
